package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMSparePartsPRO;
/**
 * 关系型数据实体[EAMSparePartsPRO] 查询条件对象
 */
@Slf4j
@Data
public class EAMSparePartsPROSearchContext extends QueryWrapperContext<EAMSparePartsPRO> {

	private String n_eamsparepartsgroupid_eq;//[备件包标识]
	public void setN_eamsparepartsgroupid_eq(String n_eamsparepartsgroupid_eq) {
        this.n_eamsparepartsgroupid_eq = n_eamsparepartsgroupid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupid_eq)){
            this.getSearchCond().eq("eamsparepartsgroupid", n_eamsparepartsgroupid_eq);
        }
    }
	private String n_productid_eq;//[产品标识]
	public void setN_productid_eq(String n_productid_eq) {
        this.n_productid_eq = n_productid_eq;
        if(!ObjectUtils.isEmpty(this.n_productid_eq)){
            this.getSearchCond().eq("productid", n_productid_eq);
        }
    }
	private String n_eamsparepartsproname_like;//[备件包物料名称]
	public void setN_eamsparepartsproname_like(String n_eamsparepartsproname_like) {
        this.n_eamsparepartsproname_like = n_eamsparepartsproname_like;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsproname_like)){
            this.getSearchCond().like("eamsparepartsproname", n_eamsparepartsproname_like);
        }
    }
	private String n_eamsparepartsgroupname_eq;//[备件包]
	public void setN_eamsparepartsgroupname_eq(String n_eamsparepartsgroupname_eq) {
        this.n_eamsparepartsgroupname_eq = n_eamsparepartsgroupname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupname_eq)){
            this.getSearchCond().eq("eamsparepartsgroupname", n_eamsparepartsgroupname_eq);
        }
    }
	private String n_eamsparepartsgroupname_like;//[备件包]
	public void setN_eamsparepartsgroupname_like(String n_eamsparepartsgroupname_like) {
        this.n_eamsparepartsgroupname_like = n_eamsparepartsgroupname_like;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupname_like)){
            this.getSearchCond().like("eamsparepartsgroupname", n_eamsparepartsgroupname_like);
        }
    }
	private String n_productname_eq;//[产品]
	public void setN_productname_eq(String n_productname_eq) {
        this.n_productname_eq = n_productname_eq;
        if(!ObjectUtils.isEmpty(this.n_productname_eq)){
            this.getSearchCond().eq("productname", n_productname_eq);
        }
    }
	private String n_productname_like;//[产品]
	public void setN_productname_like(String n_productname_like) {
        this.n_productname_like = n_productname_like;
        if(!ObjectUtils.isEmpty(this.n_productname_like)){
            this.getSearchCond().like("productname", n_productname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamsparepartsproname", query)   
            );
		 }
	}
}



